# 08 Jan 2002 markdc 
# contact:  http://poserutils.tripod.com
#Copyright  2002 by Capoeira Software

#set dirPath to output directory (must exist)
#set ext to the ext of the image type (bmp, tif, png, etc...)
#Must Render to Main Window



import poser

#------------------------------------------------------------
#Set Directory (make sure you have \\ on the end)
#------------------------------------------------------------
dirPath="C:\\Program Files\\Poser 4\\PoserFiles\\naoko\\naoko\\"
ext="tif"

scene = poser.Scene()

#hide everything
figures=scene.Figures()
for fig in figures:
	fig.SetOnOff(0)

acts=scene.Actors()
for act in acts:
	if (act.IsProp()):
		act.SetOnOff(0)

rend_list=[]

for fig in figures:
#------------------------------------------------------------
#Loop through frames
#------------------------------------------------------------
	if (rend_list.count(fig.Name())>0):
		continue

	fig.SetOnOff(1)
	rend_list.append(fig.Name())
	for cfig in figures:
		if(cfig.ConformTarget()!=None):
			if(cfig.ConformTarget().Name()==fig.Name()):
				cfig.SetOnOff(1)
				rend_list.append(cfig.Name())


	for act in acts:
		if (act.IsProp()):
			if(act.ItsFigure()!=None):
				if(act.ItsFigure().Name()==fig.Name()):
					act.SetOnOff(1)
					rend_list.append(act.Name())

#Get number of frames
	num_frames=scene.NumFrames()

#render each frame and write out image
	for n in range(num_frames):
		scene.SetFrame(n)
		scene.DrawAll()
		scene.Render()
		bmpfname = fig.Name() +"_" + `n`+ "."+ext
		scene.SaveImage(ext, dirPath + bmpfname)
	
	fig.SetOnOff(0)
	for cfig in figures:
		if(cfig.ConformTarget()!=None):
			if(cfig.ConformTarget().Name()==fig.Name()):
				cfig.SetOnOff(0)
				
	for act in acts:
		if (act.IsProp()):
			if(act.ItsFigure()!=None):
				if(act.ItsFigure().Name()==fig.Name()):
					act.SetOnOff(0)


for act in acts:
	if (rend_list.count(act.Name())>0):
		continue

	if (act.IsProp()):
		if (act.Name()!="GROUND"):
#------------------------------------------------------------
#Loop through frames
#------------------------------------------------------------
			act.SetOnOff(1)
#Get number of frames
			num_frames=scene.NumFrames()

#render each frame and write out image
			for n in range(num_frames):
				scene.SetFrame(n)
				scene.DrawAll()
				scene.Render()
				bmpfname = act.Name() +"_" + `n`+ "."+ext
				scene.SaveImage(ext, dirPath + bmpfname)
	
			act.SetOnOff(0)

#show everything
figures=scene.Figures()
for fig in figures:
	fig.SetOnOff(1)

acts=scene.Actors()
for act in acts:
	if (act.IsProp()):
		act.SetOnOff(1)


